List burn-in test catalogue
curl --request GET \
--url https://api.example.com/api/v1/burn-in/sites/{site_id}/tests/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/burn-in/sites/{site_id}/tests/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/burn-in/sites/{site_id}/tests/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/burn-in/sites/{site_id}/tests/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/burn-in/sites/{site_id}/tests/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/burn-in/sites/{site_id}/tests/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/burn-in/sites/{site_id}/tests/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"single-node.hpl-gpu": {
"slug": "single-node.hpl-gpu",
"stage": "single_node",
"name": "HPL GPU",
"threshold_status": "configured",
"metrics": [
{
"key": "gflops",
"type": "MetricValue",
"label": "Performance (GFLOPS)",
"unit": "GFLOPS",
"threshold": {
"value": 340000,
"comparator": "gte",
"statistic": "mean"
}
},
{
"key": "execution_time_seconds",
"type": "MetricValue",
"label": "Execution Time (s)",
"unit": "s",
"threshold": null
},
{
"key": "gflops_per_gpu",
"type": "MetricValue",
"label": "Performance/GPU (GFLOPS)",
"optional": true,
"unit": "GFLOPS",
"threshold": null
}
],
"acceptance_gates": [
"single_node_acceptance"
]
},
"multi-node.nccl-all-reduce": {
"slug": "multi-node.nccl-all-reduce",
"stage": "collective",
"name": "NCCL All Reduce",
"threshold_status": "configured",
"metrics": [
{
"key": "last_busbw_gbps",
"type": "MetricValue",
"label": "Bus BW (GB/s)",
"unit": "GB/s",
"threshold": {
"value": 340,
"comparator": "gte",
"statistic": null
}
},
{
"key": "last_algbw_gbps",
"type": "MetricValue",
"label": "Algorithm BW (GB/s)",
"unit": "GB/s",
"threshold": null
},
{
"key": "last_time_us",
"type": "MetricValue",
"label": "Last Op Time (µs)",
"unit": "µs",
"threshold": {
"value": 60000000,
"comparator": "lte",
"statistic": null
}
}
],
"acceptance_gates": [
"multi_node_collective_rack_acceptance"
]
}
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Burn-in
List burn-in test catalogue
Endpoint exposing burn-in test catalogue definitions.
GET
/
api
/
v1
/
burn-in
/
sites
/
{site_id}
/
tests
/
List burn-in test catalogue
curl --request GET \
--url https://api.example.com/api/v1/burn-in/sites/{site_id}/tests/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/burn-in/sites/{site_id}/tests/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/burn-in/sites/{site_id}/tests/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/burn-in/sites/{site_id}/tests/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/burn-in/sites/{site_id}/tests/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/burn-in/sites/{site_id}/tests/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/burn-in/sites/{site_id}/tests/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"single-node.hpl-gpu": {
"slug": "single-node.hpl-gpu",
"stage": "single_node",
"name": "HPL GPU",
"threshold_status": "configured",
"metrics": [
{
"key": "gflops",
"type": "MetricValue",
"label": "Performance (GFLOPS)",
"unit": "GFLOPS",
"threshold": {
"value": 340000,
"comparator": "gte",
"statistic": "mean"
}
},
{
"key": "execution_time_seconds",
"type": "MetricValue",
"label": "Execution Time (s)",
"unit": "s",
"threshold": null
},
{
"key": "gflops_per_gpu",
"type": "MetricValue",
"label": "Performance/GPU (GFLOPS)",
"optional": true,
"unit": "GFLOPS",
"threshold": null
}
],
"acceptance_gates": [
"single_node_acceptance"
]
},
"multi-node.nccl-all-reduce": {
"slug": "multi-node.nccl-all-reduce",
"stage": "collective",
"name": "NCCL All Reduce",
"threshold_status": "configured",
"metrics": [
{
"key": "last_busbw_gbps",
"type": "MetricValue",
"label": "Bus BW (GB/s)",
"unit": "GB/s",
"threshold": {
"value": 340,
"comparator": "gte",
"statistic": null
}
},
{
"key": "last_algbw_gbps",
"type": "MetricValue",
"label": "Algorithm BW (GB/s)",
"unit": "GB/s",
"threshold": null
},
{
"key": "last_time_us",
"type": "MetricValue",
"label": "Last Op Time (µs)",
"unit": "µs",
"threshold": {
"value": 60000000,
"comparator": "lte",
"statistic": null
}
}
],
"acceptance_gates": [
"multi_node_collective_rack_acceptance"
]
}
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Authorizations
oauth2cookieAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Site identifier.
Query Parameters
Use include=all to return the full displayable catalogue.
Available options:
all Select the resource-class-specific policy and threshold context. Required for filtered catalogue requests when a site has multiple policy-backed resource classes.
Filter by one or more test stages. Accepts a comma-separated list (stage=single_node,pairwise) or a repeated parameter (stage=single_node&stage=pairwise).
single_node- Single Nodepairwise- Pairwisecollective- Collective
Available options:
single_node, pairwise, collective Response
Dictionary of test definitions keyed by test slug.
Show child attributes
Show child attributes